Package org.pgpainless.exception

# Class ModificationDetectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.pgpainless.exception.ModificationDetectionException

All Implemented Interfaces:
  `Serializable`

public class ModificationDetectionException extends IOException
Exception that gets thrown when the verification of a modification detection code failed.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ModificationDetectionException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModificationDetectionException

public ModificationDetectionException()